# Interface WfsType

interface WfsType {
defaultFeatureNS: string;
defaultFeaturePrefix: string;
featureNS: string;
featurePrefix: string;
featureType: string;
label: string;
}

- Defined in src/options.js:241

#####
Index

### Properties

defaultFeatureNS
defaultFeaturePrefix
featureNS
featurePrefix
featureType
label

## Properties

### defaultFeatureNS

defaultFeatureNS: string

The default namespace URI used for features. This will be used if no custom namespace is given for a WFS type.

- Defined in src/options.js:248

### defaultFeaturePrefix

defaultFeaturePrefix: string

The default prefix for the feature namespace. This will be used if no custom prefix is given for a WFS type.

- Defined in src/options.js:250

### featureNS

featureNS: string

The namespace URI used for features. If not given, the default namespace set in WfsPermalinkOptions will be used.

- Defined in src/options.js:244

### featurePrefix

featurePrefix: string

The prefix for the feature namespace. If not given, the default prefix set in WfsPermalinkOptions will be used.

- Defined in src/options.js:246

### featureType

featureType: string

The feature type name. Required.

- Defined in src/options.js:242

### label

label: string

The field of a feature used as label.

- Defined in src/options.js:243

Generated using TypeDoc